POST /api/projects

Authentication

API Key (cookie: better-auth.session_token)

Request Body

application/json
name string REQUIRED
domains string[]
Array of:
brandConfig object
colors object
primary string REQUIRED
secondary string REQUIRED
accent string REQUIRED
background string REQUIRED
foreground string REQUIRED
fonts object
heading string REQUIRED
body string REQUIRED
brandName string
logoUrl string

Responses

201 Project created
application/json
id string REQUIRED
isDefault boolean REQUIRED
400 Validation error
401 Authentication required
curl -X POST 'https://motioness.com/api/projects' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "domains": [],  "brandConfig": {    "colors": {      "primary": "string",      "secondary": "string",      "accent": "string",      "background": "string",      "foreground": "string"    },    "fonts": {      "heading": "string",      "body": "string"    },    "brandName": "string",    "logoUrl": "string"  }}'
const response = await fetch('https://motioness.com/api/projects', {  method: 'POST',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "name": "string",    "domains": [],    "brandConfig": {      "colors": {        "primary": "string",        "secondary": "string",        "accent": "string",        "background": "string",        "foreground": "string"      },      "fonts": {        "heading": "string",        "body": "string"      },      "brandName": "string",      "logoUrl": "string"    }  })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/projects', json={  "name": "string",  "domains": [],  "brandConfig": {    "colors": {      "primary": "string",      "secondary": "string",      "accent": "string",      "background": "string",      "foreground": "string"    },    "fonts": {      "heading": "string",      "body": "string"    },    "brandName": "string",    "logoUrl": "string"  }})print(response.json())
201 Response
{  "id": "<string>",  "isDefault": true}
Ask a question... ⌘I